CVE-2019-20176

NameCVE-2019-20176
DescriptionIn Pure-FTPd 1.0.49, a stack exhaustion issue was discovered in the listdir function in ls.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs947869

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
pure-ftpd (PTS)stretch1.0.43-3vulnerable
buster1.0.47-3vulnerable
sid1.0.49-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
pure-ftpdsource(unstable)1.0.49-2low947869

Notes

[buster] - pure-ftpd <no-dsa> (Minor issue)
[stretch] - pure-ftpd <no-dsa> (Minor issue)
[jessie] - pure-ftpd <no-dsa> (Minor issue)
https://github.com/jedisct1/pure-ftpd/commit/aea56f4bcb9948d456f3fae4d044fd3fa2e19706

Search for package or bug name: Reporting problems